<?php
    # $Id: benchmarkSet_CHANGE.php,v 1.3 2007/01/08 12:51:13 jarda Exp $

    /* Page that makes change in a benchmark set data
    */

    require_once('simplePage.inc.php');

    class PageClass extends EditDBSimplePage
    {

        function checkEnvironment()
        {
            if (!$_POST['id'])
                return False;

            return True;
        }


        function handleInvalidEnvironment()
        {
            header("Location: benchmarkSets_LISTING.php"); /* Redirect browser */
            exit();
        }


        function createPage()
        {
            $db = connect();
            
            $query = "UPDATE benchmarkSet SET name='$_POST[name]', description='$_POST[description]'".
                "WHERE id=$_POST[id]";

            $db->Execute($query);
            
            header("Location: benchmarkSets_LISTING.php"); /* Redirect browser */
        }

    }

    launchPage();

    # vim:enc=iso8859-2:fenc=iso8859-2:
?>
